import { jsx } from "react/jsx-runtime";
import { TokenPROPS as TokenPROPS$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenPROPS = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "PROPS", "data-name": "TokenPROPS", ...props, children: /* @__PURE__ */ jsx(TokenPROPS$1, { variant }) });
  }
);
TokenPROPS.displayName = "TokenPROPS";
Object.assign(TokenPROPS, { isGdsIcon: true });
export {
  TokenPROPS
};
